Summary:       Processor Counter Monitor
Name:          pcm
Version:       202211
Release:       2%{?dist}
License:       BSD
Url:           https://github.com/opcm/pcm
Source0:       %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ make cmake
ExclusiveArch: x86_64

%description
Processor Counter Monitor (PCM) is an application programming interface (API) and a set of tools
based on the API to monitor performance and energy metrics of Intel(r) Core(tm), Xeon(r), Atom(tm)
and Xeon Phi(tm) processors. PCM works on Linux, Windows, Mac OS X, FreeBSD and DragonFlyBSD
operating systems.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DCMAKE_BUILD_TYPE=CUSTOM 
%cmake_build

%install
%cmake_install
rm -rf %{buildroot}/usr/share/doc/PCM/*.md
rm -rf %{buildroot}/usr/share/doc/PCM/*.txt

%files
%license LICENSE
%doc doc/LINUX_HOWTO.txt README.md doc/FAQ.md doc/CUSTOM-COMPILE-OPTIONS.md doc/ENVVAR_README.md doc/PCM-EXPORTER.md doc/PCM-SENSOR-SERVER-README.md doc/PCM_RAW_README.md doc/DOCKER_README.md doc/license.txt
%{_sbindir}/%{name}
%{_sbindir}/%{name}-*
%{_bindir}/%{name}-client
%{_datadir}/%{name}/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202211-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 cunshunxia <cunshunxia@tencent.com> - 202211-1
- upgrade to 202211

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202207-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 202207-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 202207-1
- initial build
